<!--

    queryWithNameResolution

    searchType 
    /**
    * Specifies the type of search to be executed against CoL c.q. taxon index. NB CoL does not have
    * the equivalent of "CONTAINS", so for CoL this option has the same mapping as "STARTS_WITH".
    * Also note that when choosing EXACT search, the fuzzy matching option is ignored.
    *
    * @author Ayco Holleman
    */

    fuzzy
    /**
    * Whether or not to apply fuzzy matching. With fuzzy matching the search phrase is normalized
    * using the GBIF name normalizer and then matched against normalized versions of the scientific
    * name. This will increase the chance of finding a match because common spelling variants or
    * errors (e.g. "silvestris" / "sylvestris") are normalized away. NB this only applies to
    * scientific name matching, not to vernacular name matching.
    *
    * @return
    */

    size
    /**
    * The maximum number of taxa to return. NB one taxon usually contains multiple names: the
    * accepted name and possibly some synonyms. <i>Each</i> scientific name gets turned into a query
    * condition for the Specimen index. Therefore, if <code>size</code> is large, it may exceed the
    * maximum number of clauses in a boolean query (indices.query.bool.max_clause_count) and may
    * therefore cause an {@link InvalidQueryException}!
    *
    * @return
    */
-->